usi.h File Reference
`#include "osl/numEffectState.h"`
`#include <vector>`
`#include <string>`
`#include <stdexcept>`

Go to the source code of this file.

## Classes

class | osl::usi::ParseError
class | osl::psn::ParseError

## Namespaces

namespace | osl
namespace | osl::usi
namespace | osl::psn
| gnushogi で使われるフォーマット.

## Functions

const Move | osl::usi::strToMove (const std::string &, const NumEffectState &)
PtypeO | osl::usi::charToPtypeO (char)
const std::string | osl::usi::show (Move)
const std::string | osl::usi::show (PtypeO)
const std::string | osl::usi::show (Piece)
const std::string | osl::usi::show (const NumEffectState &)
void | osl::usi::parseBoard (const std::string &board, NumEffectState &)
| 盤面を取得する.
void | osl::usi::parse (const std::string &line, NumEffectState &)
| [sfen <sfenstring> | startpos ] moves <move1> ... <movei>
void | osl::usi::parse (const std::string &line, NumEffectState &initial, std::vector< Move > &moves)
NumEffectState | osl::usi::makeState (const std::string &line)
const Move | osl::psn::strToMove (const std::string &, const SimpleState &)
const Square | osl::psn::strToPos (const std::string &)
Ptype | osl::psn::charToPtype (char)
const std::string | osl::psn::show (Move)
const std::string | osl::psn::show (Square)
char | osl::psn::show (Ptype)
const std::string | osl::psn::showXP (Move)
| decorate capture by 'x', promote by '+', and unpromote by '='